import java.util.*;
public class task1 {

	public static void main(String[] args) {

		int[] a = new int[10];
		int i , sum=0 , n=0;
		double avg;

		Scanner sc= new Scanner(System.in);

		for(i=0 ; i<a.length ; i++)
		{
			System.out.printf("Enter value#%d: ",i);
			a[i]=sc.nextInt();
			if(a[i]>0)
				{
					sum = sum + a[i];
					n++;
				}
		}

		if(n>0)
		{
			System.out.printf("%n%nSum of postivie values = %d",sum);
			avg= (double) sum / n;
			System.out.printf("%nAverge of positive values = %.2f",avg);
			System.out.print("%nThe indexes where postive elements appear are:");
			for(i=0 ; i<a.length ; i++)
				if(a[i]>0)
				System.out.printf(" %d",i);
		}
		else
			System.out.print("\n\nThere are no positive values");

		sc.close();	
		

	}

}
